# ApplicationFramework
PTKernel
PTColStd

# PTColStd_DataMapNodeOfTransientPersistentMap Class Reference

`#include <PTColStd_DataMapNodeOfTransientPersistentMap.hxx>`

## Public Member Functions

| PTColStd_DataMapNodeOfTransientPersistentMap (const Handle(Standard_Transient)&K, const Handle(Standard_Persistent)&I, const TCollection_MapNodePtr &n)
Handle_Standard_Transient & | Key () const
Handle_Standard_Persistent & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Standard_Transient | myKey
Handle_Standard_Persistent | myValue

## Constructor & Destructor Documentation

PTColStd_DataMapNodeOfTransientPersistentMap::PTColStd_DataMapNodeOfTransientPersistentMap | ( | const Handle(Standard_Transient)& | K,
|  | const Handle(Standard_Persistent)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const PTColStd_DataMapNodeOfTransientPersistentMap::Handle | ( | Standard_Type |  | ) | const

Handle_Standard_Transient& PTColStd_DataMapNodeOfTransientPersistentMap::Key | ( |  | ) | const

Handle_Standard_Persistent& PTColStd_DataMapNodeOfTransientPersistentMap::Value | ( |  | ) | const

## Field Documentation

Handle_Standard_Transient PTColStd_DataMapNodeOfTransientPersistentMap::myKey `[private]`

Handle_Standard_Persistent PTColStd_DataMapNodeOfTransientPersistentMap::myValue `[private]`

The documentation for this class was generated from the following file:

- PTColStd_DataMapNodeOfTransientPersistentMap.hxx